using UnityEngine;
using System.Collections;
using Framework.Entities;
using Framework.Extensions;

public class WatcherDeathHandler : CoreBehaviour
{

    protected override void InnerAwake()
    {
        AddGlobalActionHandler<Health.DeadAction>(this, HandleDeath);
    }

    protected override void InnerUpdate()
    {

    }

    private void HandleDeath(Health.DeadAction action)
    {
        Destroy(this.gameObject);
    }
}
